Skip to main content
POST
/
api2
/
v1
/
users
/
{userUid}
/
undelete
Restore user
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/users/{userUid}/undelete \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "uid": "<string>",
  "userName": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "dateDeleted": "2023-11-07T05:31:56Z",
  "createdBy": {
    "firstName": "<string>",
    "lastName": "<string>",
    "userName": "<string>",
    "email": "<string>",
    "role": "SYS_ADMIN",
    "id": "<string>",
    "uid": "<string>"
  },
  "role": "SYS_ADMIN",
  "timezone": "<string>",
  "note": "<string>",
  "terminologist": true,
  "sourceLangs": [
    "<string>"
  ],
  "targetLangs": [
    "<string>"
  ],
  "active": true,
  "priceList": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>"
  },
  "netRateScheme": {
    "id": "<string>",
    "uid": "<string>",
    "name": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    }
  },
  "anonymized": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

userUid
string
required

Response

successful operation

id
string
uid
string
userName
string
firstName
string
lastName
string
email
string
dateCreated
string<date-time>
dateDeleted
string<date-time>
createdBy
object
role
enum<string>
Available options:
SYS_ADMIN,
SYS_ADMIN_READ,
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER,
BOT
timezone
string
note
string
terminologist
boolean
sourceLangs
string[]
targetLangs
string[]
active
boolean
priceList
object
netRateScheme
object
anonymized
boolean